%define languageenglazy Friulian
%define languagecode    fur
%define lc_ctype        fur_IT

%define upstream_version 20050912

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 18
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://digilander.libero.it/paganf/coretors/dizionaris.html
Source0:        https://digilander.libero.it/paganf/coretors/myspell-fur-12092005.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-fur
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n myspell-fur-12092005

%build
chmod -x *
for i in COPYING.txt LICENCE.txt LEIMI.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-15 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p fur_IT.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p fur_IT.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING.txt LEIMI.txt LICENCE.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.20050912.1-18.mga10
+ Revision: 2197133
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.20050912.1-17.mga9
+ Revision: 1801365
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20050912.1-16.mga8
+ Revision: 1490948
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20050912.1-15.mga7
+ Revision: 1262714
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.20050912.1-14.mga6
+ Revision: 936563
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20050912.1-13.mga5
+ Revision: 746280
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20050912.1-12.mga5
+ Revision: 680238
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20050912.1-11.mga4
+ Revision: 505615
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20050912.1-10.mga3
+ Revision: 353470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20050912.1-9.mga3
+ Revision: 325295
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20050912.1-8.mga2
+ Revision: 224638
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20050912.1-7.mga2
+ Revision: 207753
- use better obsoleting of myspell

* Wed Jan 18 2012 kamil <kamil> 0.20050912.1-6.mga2
+ Revision: 197710
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20050912.1-5.mga1
+ Revision: 68779
- imported package hunspell-fur


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050912-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050912-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20050912-3
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050912-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 29 2008 Caolan McNamara <caolanm@redhat.com> - 0.20050912-1
- initial version
